| DocBook: The Definitive Guide 2.0.17 (Alpha)

# stepalternatives

stepalternatives — Alternative steps in a procedure

## Synopsis

### Content Model

    stepalternatives ::=
    (step+)

### Attributes

Common attributes

Name | Type | Default

performance

Enumeration:
optional
required

"required"

## Description

Most `step`s in a `procedure` are sequential: do the first, then the second, then the third. Sometimes procedures provide an explicit ordering: do step 7 next.

The `stepalternatives` element was added to support the semantics of alternative steps: perform exactly one of the following steps. The reader is presumably given some criteria for deciding which one to choose, but the significant difference is that only one of the steps is performed.

### Processing expectations

Formatted as a displayed block.

### Parents

These elements contain stepalternatives: `step`.

### Children

The following elements occur in stepalternatives: `step`.

## Attributes

performance

  `Performance` specifies whether one of the `step` alternatives must be performed or if the whole set is optional. (In no case is more than one alternative performed.)

step |  | street

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.